Bug 1651774 - Hypervisor <-> guest mapping within UI is not accurate
Summary: Hypervisor <-> guest mapping within UI is not accurate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.3.4
Hardware: All
OS: All
high
high vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: 1657853
TreeView+ depends on / blocked
 
Reported: 2018-11-20 19:24 UTC by Waldirio M Pinheiro
Modified: 2019-10-08 06:07 UTC (History)
25 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1657853 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:03 UTC


Attachments (Terms of Use)
verification screenshot 1 (52.81 KB, image/png)
2019-01-17 19:10 UTC, jcallaha
no flags Details
verification screenshot 2 (53.41 KB, image/png)
2019-01-17 19:10 UTC, jcallaha
no flags Details
verification screenshot 3 (54.00 KB, image/png)
2019-01-17 19:11 UTC, jcallaha
no flags Details
HF-1687378-1651774-6.4.3.tar (8.25 MB, application/x-tar)
2019-05-28 19:27 UTC, Mike McCune
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC
Foreman Issue Tracker 25407 None None None 2018-12-06 17:09:26 UTC

Description Waldirio M Pinheiro 2018-11-20 19:24:11 UTC
Description of problem:
On the CP database we are able to see the correct information from hypervisors versus guests from the virtualization environment but on the Satellite webUI the information is incorrect and as consequence, the customer is not able to move forward assigning the correct entitlement (virtual).

Version-Release number of selected component (if applicable):
6.3.5

How reproducible:
100% in the customer environment

Steps to Reproduce:
1. Run virt-who
2. See all process conclude with successful
3. On the Satellite webUI the information related to the Guests on the hypervisor (virt-who-<fqdn>) still out of date.

Actual results:
Incorrect information.

Expected results:
See the correct information related to Guests/Content Hosts running on top of that hypervisor.

Additional info:

Comment 7 Justin Sherrill 2018-11-26 14:33:32 UTC
Waldirio, do you have a reproducer by chance?

Comment 23 pm-sat@redhat.com 2018-12-06 21:02:23 UTC
Upstream bug assigned to egolov@redhat.com

Comment 24 pm-sat@redhat.com 2018-12-06 21:02:28 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25407 has been resolved.

Comment 32 jcallaha 2019-01-17 19:08:28 UTC
Verified in Satellite 6.5.0 Snap 11

Steps:
clone https://github.com/JacobCallahan/content-host-d
inside that directory build the guest image
    docker build -t ch-d:guest RHEL7-Guest/.
install docker-py
run the flood script with the following arguments

python flood.py -s ibm-x3550m3-07.lab.eng.brq.redhat.com --hypervisors 2 --guests 5 --tag guest


The script will handle everything for you but will give you a chance to attach subscriptions to your hypervisors.

All hypervisor-guest mappings are working correctly 

See attached screenshots for verification.

Comment 33 jcallaha 2019-01-17 19:10:39 UTC
Created attachment 1521354 [details]
verification screenshot 1

Comment 34 jcallaha 2019-01-17 19:10:57 UTC
Created attachment 1521355 [details]
verification screenshot 2

Comment 35 jcallaha 2019-01-17 19:11:15 UTC
Created attachment 1521356 [details]
verification screenshot 3

Comment 41 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222

Comment 42 Mike McCune 2019-05-28 19:26:39 UTC
** Satellite 6.4.3 Hotfix **

This fix includes a fix for this bug as well as the hotfix previously released in:

https://bugzilla.redhat.com/show_bug.cgi?id=1687378#c31

1) download HF-1687378-1651774-6.4.3.tar from bugzilla to Satellite 6.4.2 server

2) unpack and install:

rpm -Uvh tfm-rubygem-katello-3.7.0.56-5.HOTFIXRHBZ1687378_1651774.el7sat.noarch.rpm tfm-rubygem-katello-3.7.0.56-5.HOTFIXRHBZ1687378_1651774.el7sat.noarch.rpm

3) restart services

foreman-maintain service restart

4) resume operations

Comment 43 Mike McCune 2019-05-28 19:27:00 UTC
Created attachment 1574504 [details]
HF-1687378-1651774-6.4.3.tar


Note You need to log in before you can comment on or make changes to this bug.